package com.imcode.forum;

import java.util.Date;
import java.util.SortedSet;

public interface ForumPost {

    String getId() ;

    ForumThread getThread() ;
    
    ForumPost getParentPost() ;

    ForumUser getUser();

    Date getDateTime();

    String getTitle();

    String getBody();

    boolean isHidden() ;

    void hide(boolean hidden);

    void incrementViewCount() ;

    int getViewCount() ;

    String createReply(ForumPost forumPost);

    SortedSet<ForumPost> getReplies();

}
