package com.imcode.forum.shell;

import com.imcode.forum.Forum;
import com.imcode.forum.ForumRepository;

import java.io.PrintStream;
import java.util.Collection;

class ListForumsCommand implements ForumShellCommand {

    public void execute(ForumRepository repository, PrintStream out, String[] commandParameters) {
        Collection<Forum> forums = repository.getForums();
        for ( Forum forum : forums ) {
            out.println(forum);
        }
    }

    public String[] getParameterNames() {
        return new String[0];
    }

    public String getPurpose() {
        return "List forums" ;
    }
}
